Name:           kroots
Version:        1.6.0
Release:        %mkrel 4
Summary:        Find all the roots of a complex number
Group:          Education
License:        GPLv3+
Url:            https://bitbucket.org/admsasha/kroots
Source0:        https://bitbucket.org/admsasha/kroots/downloads/%{name}-%{version}.tar.gz

BuildRequires:  extra-cmake-modules
BuildRequires:  kf5-macros
BuildRequires:  kcoreaddons-devel
BuildRequires:  ki18n-devel
BuildRequires:  kconfig-devel
BuildRequires:  kplotting-devel
BuildRequires:  kxmlgui-devel
BuildRequires:  kdoctools-devel
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(openssl)
BuildRequires:  poxml

Recommends:     khelpcenter

%description
KRoots finds all the roots of a complex number and graphs
them on the real/imaginary axis. It supports both the a + bi
format and the r cis o format. KRoots can also be used to
create regular polygons.

%prep
%setup -q

%build
%cmake_kf5
%cmake_build

%install
%cmake_install
%find_lang %{name}

%files -f %{name}.lang
%doc README
%license COPYING
%{_kf5_docdir}/HTML/*/%{name}
%{_kf5_applicationsdir}/%{name}.desktop
%{_kf5_bindir}/%{name}
%{_kf5_datadir}/config.kcfg/%{name}.kcfg
%{_kf5_datadir}/kxmlgui5/%{name}/%{name}ui.rc
%{_kf5_iconsdir}/hicolor/*/apps/%{name}.*


%changelog
* Thu Dec 17 2020 umeabot <umeabot> 1.6.0-4.mga8
+ Revision: 1658810
- Rebuild for new Qt5

* Sat Feb 15 2020 umeabot <umeabot> 1.6.0-3.mga8
+ Revision: 1524747
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sun Mar 31 2019 umeabot <umeabot> 1.6.0-2.mga7
+ Revision: 1382840
- Qt5 Rebuild

* Mon Oct 22 2018 alexl <alexl> 1.6.0-1.mga7
+ Revision: 1323494
- add br kdoctools-devel
- version 1.6.0
- new url
- delete br kdelibs4support-devel
- del upstreamed patches and sources
- use license macros

* Tue Oct 16 2018 alexl <alexl> 1.5.0-12.mga7
+ Revision: 1320702
- add localized docbook support (thanks to admsasha for patch)
- fix docbook typos (thanks to yurchor)
- update translations from tx
- localized docbook is ready for for ru, uk, et

* Mon Oct 15 2018 alexl <alexl> 1.5.0-11.mga7
+ Revision: 1320417
- s/make/make_build
- hide switching of languages from menu (not implemented yet)

* Mon Oct 15 2018 alexl <alexl> 1.5.0-10.mga7
+ Revision: 1320413
- install svg icon only
- kf5 port (thanks to admsasha for kf5 patch)
- add khelpcenter to Recommends
- add Keywords into desktop file and update it from tx

* Sun Sep 23 2018 umeabot <umeabot> 1.5.0-9.mga7
+ Revision: 1298651
- Mageia 7 Mass Rebuild

* Sat Jan 14 2017 neoclust <neoclust> 1.5.0-8.mga6
+ Revision: 1081729
- Add back on mageia

* Sat Jan 14 2017 alexl <alexl> 1.5.0-7.mga6
+ Revision: 1081597
- update langs from transifex
- fix spurious-executable-perm (rpmlint)

* Wed Dec 30 2015 alexl <alexl> 1.5.0-6.mga6
+ Revision: 916908
- update translations from tx
- s/makeinstall_std/make_install/

* Fri Aug 21 2015 akien <akien> 1.5.0-5.mga6
+ Revision: 867965
- Improve patch1 to work if KRoots name is localised
- Drop patch that restores default settings menu, and use a more i18n-friendly way to find what to keep
+ alexl <alexl>
- add i18n support
- use default settings menu (fix problem for not English languages)
- fix typos
- fix version
- fix clear slot ('clearPolygons' does not exists, use 'clear')
- fix docbook for settings section

* Sun Nov 23 2014 alexl <alexl> 1.5.0-4.mga5
+ Revision: 798528
- fixed French Comment for desktop file
- added Russian translation for desktop file

* Wed Oct 15 2014 umeabot <umeabot> 1.5.0-3.mga5
+ Revision: 745518
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.5.0-2.mga5
+ Revision: 681199
- Mageia 5 Mass Rebuild

* Sat Jun 21 2014 akien <akien> 1.5.0-1.mga5
+ Revision: 638539
- Fix desktop entry
- imported package kroots

